from .messageHandler import MessageHandler
from .models import *
from dateutil.parser import parse
import configparser
import datetime
import json



class AppointmentService():
    def __init__(self):
        self.doctor = Doctor(1, "Christina", "Yang", "Cardiology")
        self.patient = Patient(2, "Steven", "Gorwell", "+50431401307")
        self.appointment = Appointment(doctor, patient, parse("2018-08-11T04:00"))

    def sendAppointmentMessage(self):
        print("HI")
        patientName = self.appointment.patient.patientName
        doctorName = self.appointment.doctor.doctorName
        specializationName = self.appointment.doctor.specialization
        appointmentDate = self.appointment.date
        strAppointmentDate = self.appointmentDate.strftime('%b %d, %Y')

        appointmentMessage = "Mr./Mrs. " + patientName + ", you have an appointment with Dr. " + doctorName + " (" + specializationName + ")" + " scheduled on " + strAppointmentDate
        destinationNumber = self.appointment.patient.number
        messageHandler = MessageHandler()
        messageHandler.sendSMS(appointmentMessage, destinationNumber)